# ocprocy container

```bash
podman run -d \
    -p 11080:11080 \
    -e OPENCONNECT_OPTIONS="" \
    -e OPENCONNECT_URL="" \
    -e OPENCONNECT_CERT_PATH="/ocproxy-container/cert.p12" \
    -e OPENCONNECT_CERT_PASSWD="" \
    -v ./cert.p12:/ocproxy-container/cert.p12:Z \
    --name "ocproxy" \
    git.dm1sh.ru/dm1sh/ocproxy-container:latest
```

```bash
podman pod create --name "proxied-pod"

podman container create \
    --pod "proxied-pod"
    -e OPENCONNECT_OPTIONS="" \
    -e OPENCONNECT_URL="" \
    -e OPENCONNECT_CERT_PATH="/ocproxy-container/cert.p12" \
    -e OPENCONNECT_CERT_PASSWD="" \
    -v ./cert.p12:/ocproxy-container/cert.p12:Z \
    --name "proxied-pod-ocproxy" \
    git.dm1sh.ru/dm1sh/ocproxy-container:latest

podman container create \
    --pod "proxied-pod" \
    ...
```

## Environment variables

- `OPENCONNECT_OPTIONS` - additional options for openconnect command
- `OPENCONNECT_URL` - URL of openconnect server
- `OPENCONNECT_CERT_PATH` - path to user certificate in container
- `OPENCONNECT_CERT_PASSWD` - password for user certificate
