#!/bin/sh

REQUIRED_VARS="OPENCONNECT_URL OPENCONNECT_CERT_PATH OPENCONNECT_CERT_PASSWD"

for VAR in $REQUIRED_VARS; do
    eval "VALUE=\${$VAR}"
    if [ -z "$VALUE" ]; then
        echo "Error: ENV $VAR is not set. Please check your environment."
        exit 1
    fi
done

openconnect --non-inter --verbose --timestamp --reconnect-timeout=600 --script-tun --script "ocproxy -g -k 60 -D 11080" ${OPENCONNECT_OPTIONS} ${OPENCONNECT_URL} -c ${OPENCONNECT_CERT_PATH} -p ${OPENCONNECT_CERT_PASSWD}